%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name:           gscribble
Version:        0.1.2
Release:        3%{?dist}
Summary:        A desktop client for blogging which supports wordpress and blogger

Group:          Applications/Internet
License:        GPLv2+
URL:            https://sourceforge.net/projects/gscribble
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
# This patch is licensed GPLv2+.
Patch0:		gscribble-0.1.2-webkit.patch

BuildArch:      noarch
BuildRequires:  python-devel, desktop-file-utils
Requires:       pygtk2, gnome-python2-gtkspell, pywebkitgtk, python-gdata >= 2.0.9

%description
A desktop client for blogging for wordpress and blogger

%prep
%setup -q
%patch0 -p1 -b .webkit
sed -i 's|^#!/usr/bin/env python|#!/usr/bin/python|' gscribble

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT
desktop-file-validate %{buildroot}/%{_datadir}/applications/gscribble.desktop

%files
%doc README LICENSE AUTHORS ChangeLog
%{python_sitelib}/libgscribble/
%{python_sitelib}/gscribble-*egg-info
%{_bindir}/gscribble
%{_datadir}/gscribble/
%{_datadir}/applications/gscribble.desktop
%{_datadir}/pixmaps/gscribble.png

%changelog
* Mon Mar 26 2012 Tom Callaway <spot@fedoraproject.org> - 0.1.2-3
- use pywebkitgtk

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Feb 20 2010 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.1.2-1
- New release with blogger support

* Fri Feb 19 2010 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.1.1-1
- New release with better editor and spell checker

* Sat Oct 31 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.0.2.1-1
- New Release of gscribble with fixed version problem

* Tue Sep 17 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.0.2-1
- New Release of gscribble with proxy support 

* Tue Jul 7 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.0.1-1
- Removed rpmlinit errors and fixed ownership issues

* Tue Jul 7 2009 Roshan Kumar Singh <singh.roshan08@gmail.com> 0.0.1-alpha
- First rpm of gscribble
